Bug 569902 (CVE-2010-0003)

Summary: VUL-1: CVE-2010-0003: kernel: infoleak if print-fatal-signals=1
Product: [Novell Products] SUSE Security Incidents Reporter: Ludwig Nussel <lnussel>
Component: GeneralAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P2 - High CC: meissner, security-team
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard: maint:released:11.2:30542 maint:released:sle11-moblin20:30615 maint:released:sle11-moblin20s:30615 maint:released:11.0:30697 maint:released:11.1:31244 maint:released:sle11:31236
Found By: Other Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Ludwig Nussel 2010-01-12 08:54:29 UTC
Your friendly security team received the following report via oss-security.
Please respond ASAP.
The issue is public.

minor issue

Date: Tue, 12 Jan 2010 10:54:58 +0800
From: Eugene Teo <eugene@redhat.com>
To: oss-security@lists.openwall.com
Subject: [oss-security] CVE request - kernel: infoleak if print-fatal-signals=1
CC: "Steven M. Christey" <coley@linus.mitre.org>

Description from the upstream patch:
When print-fatal-signals is enabled it's possible to dump any memory 
reachable by the kernel to the log by simply jumping to that address 
from user space.

Or crash the system if there's some hardware with read side effects.

The fatal signals handler will dump 16 bytes at the execution address, 
which is fully controlled by ring 3.

In addition when something jumps to an unmapped address there will be up 
to 16 additional useless page faults, which might be potentially slow 
(and at least is not very efficient)

Fortunately this option is off by default and only there on i386.

But fix it by hecking for kernel addresses and also stopping when 
there's a page fault.

References:
http://patchwork.kernel.org/patch/69752/
http://git.kernel.org/linus/b45c6e76bc2c72f6426c14bed64fdcbc9bf37cb0
https://bugzilla.redhat.com/show_bug.cgi?id=554578

Thanks, Eugene
-- 
Eugene Teo / Red Hat Security Response Team
Comment 1 Jeff Mahoney 2010-01-12 20:34:50 UTC
Committed to 11.0, SLE11/11.1, 11.2, and master. Punting to Greg for Moblin.
Comment 2 Greg Kroah-Hartman 2010-01-13 23:58:50 UTC
Checked into MOBLIN_20 and MOBLIN_21 branches, reassigning to security
Comment 3 Ludwig Nussel 2010-01-14 08:51:57 UTC
CVE-2010-0003
Comment 4 Swamp Workflow Management 2010-02-08 13:37:37 UTC
Update released for: kernel-debug, kernel-debug-base, kernel-debug-base-debuginfo, kernel-debug-debuginfo, kernel-debug-debugsource, kernel-debug-devel, kernel-debug-devel-debuginfo, kernel-default, kernel-default-base, kernel-default-base-debuginfo, kernel-default-debuginfo, kernel-default-debugsource, kernel-default-devel, kernel-default-devel-debuginfo, kernel-desktop, kernel-desktop-base, kernel-desktop-base-debuginfo, kernel-desktop-debuginfo, kernel-desktop-debugsource, kernel-desktop-devel, kernel-desktop-devel-debuginfo, kernel-pae, kernel-pae-base, kernel-pae-base-debuginfo, kernel-pae-debuginfo, kernel-pae-debugsource, kernel-pae-devel, kernel-pae-devel-debuginfo, kernel-source, kernel-source-vanilla, kernel-syms, kernel-trace, kernel-trace-base, kernel-trace-base-debuginfo, kernel-trace-debuginfo, kernel-trace-debugsource, kernel-trace-devel, kernel-trace-devel-debuginfo, kernel-vanilla, kernel-vanilla-base, kernel-vanilla-base-debuginfo, kernel-vanilla-debuginfo, kernel-vanilla-debugsource, kernel-vanilla-devel, kernel-vanilla-devel-debuginfo, kernel-xen, kernel-xen-base, kernel-xen-base-debuginfo, kernel-xen-debuginfo, kernel-xen-debugsource, kernel-xen-devel, kernel-xen-devel-debuginfo, preload-kmp-default, preload-kmp-desktop
Products:
openSUSE 11.2 (debug, i586, x86_64)
Comment 5 Swamp Workflow Management 2010-02-11 18:02:42 UTC
Update released for: kernel-default, kernel-default-base, kernel-default-debuginfo, kernel-default-debugsource, kernel-default-extra, kernel-source, kernel-source-debuginfo, samsung-atheros-kmp-default
Products:
SUSE-MOBLIN 2.0 (i386)
SUSE-MOBLIN 2.0-DEBUG (i386)
SUSE-MOBLIN-SAMSUNG 2.0 (i386)
Comment 6 Swamp Workflow Management 2010-02-15 12:13:29 UTC
Update released for: acerhk-kmp-debug, acx-kmp-debug, appleir-kmp-debug, at76_usb-kmp-debug, atl2-kmp-debug, aufs-kmp-debug, dazuko-kmp-debug, drbd-kmp-debug, gspcav-kmp-debug, iscsitarget-kmp-debug, ivtv-kmp-debug, kernel-debug, kernel-default, kernel-docs, kernel-kdump, kernel-pae, kernel-ppc64, kernel-ps3, kernel-source, kernel-syms, kernel-vanilla, kernel-xen, kqemu-kmp-debug, nouveau-kmp-debug, omnibook-kmp-debug, pcc-acpi-kmp-debug, pcfclock-kmp-debug, tpctl-kmp-debug, uvcvideo-kmp-debug, virtualbox-ose-kmp-debug, vmware-kmp-debug, wlan-ng-kmp-debug
Products:
openSUSE 11.0 (debug, i386, ppc, x86_64)
Comment 7 Marcus Meissner 2010-02-18 15:19:28 UTC
ok, can close then
Comment 8 Swamp Workflow Management 2010-03-02 16:39:02 UTC
Update released for: kernel-debug, kernel-debug-base, kernel-debug-debuginfo, kernel-debug-debugsource, kernel-debug-extra, kernel-default, kernel-default-base, kernel-default-debuginfo, kernel-default-debugsource, kernel-default-extra, kernel-docs, kernel-kdump, kernel-kdump-debuginfo, kernel-kdump-debugsource, kernel-pae, kernel-pae-base, kernel-pae-debuginfo, kernel-pae-debugsource, kernel-pae-extra, kernel-ppc64, kernel-ppc64-base, kernel-ppc64-debuginfo, kernel-ppc64-debugsource, kernel-ppc64-extra, kernel-ps3, kernel-ps3-debuginfo, kernel-ps3-debugsource, kernel-source, kernel-source-debuginfo, kernel-syms, kernel-trace, kernel-trace-base, kernel-trace-debuginfo, kernel-trace-debugsource, kernel-trace-extra, kernel-vanilla, kernel-vanilla-debuginfo, kernel-vanilla-debugsource, kernel-xen, kernel-xen-base, kernel-xen-debuginfo, kernel-xen-debugsource, kernel-xen-extra
Products:
openSUSE 11.1 (debug, i586, ppc, x86_64)
Comment 9 Swamp Workflow Management 2010-03-02 23:09:42 UTC
Update released for: cluster-network-kmp-default, ext4dev-kmp-default, ext4dev-kmp-ppc64, kernel-default, kernel-default-base, kernel-default-debuginfo, kernel-default-debugsource, kernel-default-extra, kernel-kdump, kernel-kdump-debuginfo, kernel-kdump-debugsource, kernel-ppc64, kernel-ppc64-base, kernel-ppc64-debuginfo, kernel-ppc64-debugsource, kernel-ppc64-extra, kernel-source, kernel-source-debuginfo, kernel-syms
Products:
SLE-DEBUGINFO 11 (ppc64)
SLE-HAE 11 (ppc64)
SLE-SERVER 11 (ppc64)
Comment 10 Marcus Meissner 2010-03-03 13:33:56 UTC
We have released a kernel update for SUSE Linux Enterprise 11 that mentions/fixes this bug. The released version is 2.6.27.45-0.1.1.